diff -r -u prupraprok/code_source/splash/ChainListOfImg.hpp recher/code_source/splash/ChainListOfImg.hpp
--- prupraprok/code_source/splash/ChainListOfImg.hpp	2005-05-29 22:11:44.000000000 +0200
+++ recher/code_source/splash/ChainListOfImg.hpp	2005-11-04 23:57:56.000000000 +0100
@@ -1,5 +1,6 @@
 #include "ListOfImg.hpp"
 #include <string>
+using namespace std;
 
 
 
diff -r -u prupraprok/code_source/splash/ChainListOf_ListOfImg.hpp recher/code_source/splash/ChainListOf_ListOfImg.hpp
--- prupraprok/code_source/splash/ChainListOf_ListOfImg.hpp	2005-06-06 04:45:10.000000000 +0200
+++ recher/code_source/splash/ChainListOf_ListOfImg.hpp	2005-11-04 23:58:47.000000000 +0100
@@ -1,5 +1,6 @@
 #include "ListOfImg.hpp"
 #include <string>
+using namespace std;
 
 
 
diff -r -u prupraprok/code_source/splash/ChainListOfMovieEvent.cpp recher/code_source/splash/ChainListOfMovieEvent.cpp
--- prupraprok/code_source/splash/ChainListOfMovieEvent.cpp	2005-09-05 00:38:52.000000000 +0200
+++ recher/code_source/splash/ChainListOfMovieEvent.cpp	2005-11-04 23:59:55.000000000 +0100
@@ -201,7 +201,7 @@
 
 long int ChainListOfMovieEvent::ConcatListOfMovieEvent(ChainListOfMovieEvent *chainListToAdd,
                                                        long int timeToAdd,
-                                                       long int durationOfConcatenation = -1)
+                                                       long int durationOfConcatenation)
 {
     MovieEvent *movieEventToAdd;
     int ME_TypeToAdd;
diff -r -u prupraprok/code_source/splash/ChainListOfMovieEvent.hpp recher/code_source/splash/ChainListOfMovieEvent.hpp
--- prupraprok/code_source/splash/ChainListOfMovieEvent.hpp	2005-10-31 07:42:32.000000000 +0100
+++ recher/code_source/splash/ChainListOfMovieEvent.hpp	2005-11-04 23:59:17.000000000 +0100
@@ -5,7 +5,8 @@
 #include <string>
 
 //pour tester
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 
 class ChainListOfMovieEvent
 {
diff -r -u prupraprok/code_source/splash/ChainListOfSDLSurface.hpp recher/code_source/splash/ChainListOfSDLSurface.hpp
--- prupraprok/code_source/splash/ChainListOfSDLSurface.hpp	2005-10-31 07:43:10.000000000 +0100
+++ recher/code_source/splash/ChainListOfSDLSurface.hpp	2005-11-05 00:00:13.000000000 +0100
@@ -1,5 +1,6 @@
 #include <SDL.h>
 #include <string>
+using namespace std;
 
 
 
diff -r -u prupraprok/code_source/splash/ChainListOfSound.hpp recher/code_source/splash/ChainListOfSound.hpp
--- prupraprok/code_source/splash/ChainListOfSound.hpp	2005-04-04 02:14:16.000000000 +0200
+++ recher/code_source/splash/ChainListOfSound.hpp	2005-11-05 00:00:26.000000000 +0100
@@ -1,5 +1,6 @@
 #include <SDL_mixer.h>
 #include <string>
+using namespace std;
 
 
 
diff -r -u prupraprok/code_source/splash/ChainListOfSprite.hpp recher/code_source/splash/ChainListOfSprite.hpp
--- prupraprok/code_source/splash/ChainListOfSprite.hpp	2005-09-18 00:56:40.000000000 +0200
+++ recher/code_source/splash/ChainListOfSprite.hpp	2005-11-05 00:01:47.000000000 +0100
@@ -1,5 +1,6 @@
 #include "SE_Sprite.hpp"
 #include <string>
+using namespace std;
 
 
 
diff -r -u prupraprok/code_source/splash/ConfigXMLParser.cpp recher/code_source/splash/ConfigXMLParser.cpp
--- prupraprok/code_source/splash/ConfigXMLParser.cpp	2005-05-01 16:57:56.000000000 +0200
+++ recher/code_source/splash/ConfigXMLParser.cpp	2005-11-05 00:02:47.000000000 +0100
@@ -2,7 +2,7 @@
 
 
 
-ConfigXMLParser::ConfigXMLParser(int _showCommentNodes = 0)
+ConfigXMLParser::ConfigXMLParser(int _showCommentNodes)
 {
     XMLparser = XMLParser(_showCommentNodes);
     theConfigInfos = ConfigInfos();
diff -r -u prupraprok/code_source/splash/DataLoader.cpp recher/code_source/splash/DataLoader.cpp
--- prupraprok/code_source/splash/DataLoader.cpp	2005-05-24 00:09:32.000000000 +0200
+++ recher/code_source/splash/DataLoader.cpp	2005-11-05 01:02:54.000000000 +0100
@@ -216,8 +216,8 @@
 }
 
 
-string DataLoader::ReadCoord(string balizName, SDL_Rect *coord, int readRectCoord = 0,
-                             int mustDefineAllValues = 0)
+string DataLoader::ReadCoord(string balizName, SDL_Rect *coord, int readRectCoord,
+                             int mustDefineAllValues)
 {
     Sint32 X = 0;
     Sint32 Y = 0;
@@ -898,7 +899,7 @@
 
 
 string DataLoader::ReadProcedureExecution(ChainListOfMovieEvent *listDest, long int *time,
-                                          int complexExecution = 0)
+                                          int complexExecution)
 {
     ChainListOfMovieEvent *procToConcat = NULL;
     string textRead;
diff -r -u prupraprok/code_source/splash/DataLoader.hpp recher/code_source/splash/DataLoader.hpp
--- prupraprok/code_source/splash/DataLoader.hpp	2005-05-23 23:57:34.000000000 +0200
+++ recher/code_source/splash/DataLoader.hpp	2005-11-05 00:03:19.000000000 +0100
@@ -18,7 +18,8 @@
 #include "PercentageBar.hpp"
 
 
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 
 
 //c'est l'histoire de deux cailloux qui se parlent
diff -r -u prupraprok/code_source/splash/FileLoader.hpp recher/code_source/splash/FileLoader.hpp
--- prupraprok/code_source/splash/FileLoader.hpp	2005-09-06 21:04:10.000000000 +0200
+++ recher/code_source/splash/FileLoader.hpp	2005-11-05 00:03:41.000000000 +0100
@@ -5,7 +5,8 @@
 #include <zlib.h>
 #include "PercentageBar.hpp"
 
-#include <iostream.h>  //pour tester et faire du déboguage
+#include <iostream>  //pour tester et faire du déboguage
+using namespace std;
 
 class FileLoader
 {
diff -r -u prupraprok/code_source/splash/ImagePlayer.hpp recher/code_source/splash/ImagePlayer.hpp
--- prupraprok/code_source/splash/ImagePlayer.hpp	2005-10-31 07:48:34.000000000 +0100
+++ recher/code_source/splash/ImagePlayer.hpp	2005-11-05 00:05:06.000000000 +0100
@@ -3,6 +3,8 @@
 #include "ConfigInfos.hpp"
 #include "BufferScreens.hpp"
 #include "PercentageBar.hpp"
+#include <iostream>
+using namespace std;
 
 
           
diff -r -u prupraprok/code_source/splash/ImageZoomable.cpp recher/code_source/splash/ImageZoomable.cpp
--- prupraprok/code_source/splash/ImageZoomable.cpp	2005-05-01 02:48:56.000000000 +0200
+++ recher/code_source/splash/ImageZoomable.cpp	2005-11-05 00:05:49.000000000 +0100
@@ -82,7 +82,7 @@
 
 
 SDL_Surface *ImageZoomable::GetZoomedImage(SDL_Rect *sourceRect, long int zoomFactor, 
-                                           SDL_Rect *imgResultLimits = NULL) 
+                                           SDL_Rect *imgResultLimits) 
 {
 
     SDL_Rect sourceRect2;
@@ -202,7 +202,7 @@
 
 void ImageZoomable::ZoomAndBlit(SDL_Rect *sourceRect, 
                                    SDL_Surface *dest, SDL_Rect *destRect, 
-                                   long int zoomFactor, SDL_Rect *destLimits = NULL)
+                                   long int zoomFactor, SDL_Rect *destLimits)
 {
     //zoomFactor est en virgule pas flottante, avec 10 bits après la virgule.
     //Et vous aurez pas plus que ça comme commentaire explicatif! Niaar hhaar haaar haaar!!
diff -r -u prupraprok/code_source/splash/main.cpp recher/code_source/splash/main.cpp
--- prupraprok/code_source/splash/main.cpp	2005-10-31 07:52:50.000000000 +0100
+++ recher/code_source/splash/main.cpp	2005-11-05 00:06:03.000000000 +0100
@@ -20,7 +20,8 @@
 
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 #include "MoviePlayer.hpp"
 #include "ConfigXMLParser.hpp"
 
Seulement dans recher/code_source/splash: Makefile
diff -r -u prupraprok/code_source/splash/ME_BreakPoint.cpp recher/code_source/splash/ME_BreakPoint.cpp
--- prupraprok/code_source/splash/ME_BreakPoint.cpp	2005-10-31 07:53:34.000000000 +0100
+++ recher/code_source/splash/ME_BreakPoint.cpp	2005-11-05 00:06:17.000000000 +0100
@@ -3,7 +3,7 @@
 
 
 ME_BreakPoint::ME_BreakPoint(long int _actTime, int _breakPointLevel,
-                             long int _cursorME_Image = 0, long int _cursorME_Sound = 0)
+                             long int _cursorME_Image, long int _cursorME_Sound)
     : MovieEvent(_actTime)
 {
     cursorME_Image = _cursorME_Image;
diff -r -u prupraprok/code_source/splash/ME_Scene_childrens.cpp recher/code_source/splash/ME_Scene_childrens.cpp
--- prupraprok/code_source/splash/ME_Scene_childrens.cpp	2005-10-31 07:55:32.000000000 +0100
+++ recher/code_source/splash/ME_Scene_childrens.cpp	2005-11-05 00:06:52.000000000 +0100
@@ -6,8 +6,8 @@
                       Uint16 sceneSizeX, Uint16 sceneSizeY,
                       SceneElt **_sceneEltsSortedList, long int _sceneEltQty, 
                       Uint32 _surfaceTypeOfScene, Uint32 _surfaceTypeOfZoomedScene,
-                      SDL_Rect *_newCamPos = NULL, long int _zoomScene = 1024,
-                      int _mustBeCleared = 0, Uint32 _clearColor = 0)
+                      SDL_Rect *_newCamPos, long int _zoomScene,
+                      int _mustBeCleared, Uint32 _clearColor)
     : ME_Scene(_actTime, _affectedScene)
 {
     SizeX = sceneSizeX;
@@ -182,7 +182,7 @@
 ME_Scene_SetSceneClearance::ME_Scene_SetSceneClearance(long int _actTime, 
                                                        Scene *_affectedScene, 
                                                        int _mustBeCleared, 
-                                                       Uint32 _clearColor = 0)
+                                                       Uint32 _clearColor)
     : ME_Scene(_actTime, _affectedScene)
 {
     mustBeCleared = _mustBeCleared;
diff -r -u prupraprok/code_source/splash/ME_Sprite_childrens.cpp recher/code_source/splash/ME_Sprite_childrens.cpp
--- prupraprok/code_source/splash/ME_Sprite_childrens.cpp	2005-03-24 22:18:06.000000000 +0100
+++ recher/code_source/splash/ME_Sprite_childrens.cpp	2005-11-05 00:07:08.000000000 +0100
@@ -5,7 +5,7 @@
 ME_Sprite_SetAllInfos::ME_Sprite_SetAllInfos(long int _actTime, SE_Sprite *_affectedSprite, 
                                              long int _newImg, SDL_Rect *_newPosition, 
                                              SDL_Rect *_newPortionToDraw, 
-                                             long int _newZoom = 1024)
+                                             long int _newZoom)
     : ME_Sprite(_actTime, _affectedSprite)
 {
     newImg = _newImg;
diff -r -u prupraprok/code_source/splash/MoviePlayer.hpp recher/code_source/splash/MoviePlayer.hpp
--- prupraprok/code_source/splash/MoviePlayer.hpp	2005-10-31 08:01:34.000000000 +0100
+++ recher/code_source/splash/MoviePlayer.hpp	2005-11-05 00:07:25.000000000 +0100
@@ -1,7 +1,8 @@
 #include "DataLoader.hpp"
 #include "ME_BreakPoint.hpp"
 #include <string>
-#include <iostream.h>
+#include <iostream>
+using namespace std;
 
 #include "PercentageBar.hpp"
 
diff -r -u prupraprok/code_source/splash/Scene.cpp recher/code_source/splash/Scene.cpp
--- prupraprok/code_source/splash/Scene.cpp	2005-05-01 15:43:06.000000000 +0200
+++ recher/code_source/splash/Scene.cpp	2005-11-05 00:07:51.000000000 +0100
@@ -22,8 +22,8 @@
 void Scene::NewScene(Uint16 sceneSizeX, Uint16 sceneSizeY,
                      SceneElt **_sceneEltsSortedList, long int _sceneEltQty, 
                      Uint32 surfaceTypeOfScene, Uint32 surfaceTypeOfZoomedScene,
-                     SDL_Rect *_hotPoint = NULL, long int _zoomScene = 1024,
-                     int _mustBeCleared = 0, Uint32 _clearColor = 0)
+                     SDL_Rect *_hotPoint, long int _zoomScene,
+                     int _mustBeCleared, Uint32 _clearColor)
 {
     if (theScene != NULL) { delete theScene; }
     
@@ -57,7 +57,7 @@
 void Scene::SetZoomScene(long int  _zoomScene) { zoomScene = _zoomScene; }
 
 
-void Scene::SetSceneClearance(int _mustBeCleared, Uint32 _clearColor = 0) {
+void Scene::SetSceneClearance(int _mustBeCleared, Uint32 _clearColor) {
     mustBeCleared = _mustBeCleared;
     clearColor = _clearColor;
 }
diff -r -u prupraprok/code_source/splash/SE_Sprite.cpp recher/code_source/splash/SE_Sprite.cpp
--- prupraprok/code_source/splash/SE_Sprite.cpp	2005-09-04 20:07:08.000000000 +0200
+++ recher/code_source/splash/SE_Sprite.cpp	2005-11-05 00:07:59.000000000 +0100
@@ -19,7 +19,7 @@
 
 
 void SE_Sprite::SetAllInfos(SDL_Rect *_position, long int _curImg, SDL_Rect *_portionToDraw, 
-                            long int _zoomSprite = 1024)
+                            long int _zoomSprite)
 {
     SetPosition(_position);
     curImg = _curImg;
diff -r -u prupraprok/code_source/splash/XMLParser.cpp recher/code_source/splash/XMLParser.cpp
--- prupraprok/code_source/splash/XMLParser.cpp	2005-09-04 20:45:08.000000000 +0200
+++ recher/code_source/splash/XMLParser.cpp	2005-11-05 00:34:10.000000000 +0100
@@ -2,7 +2,7 @@
 
 
 
-XMLParser::XMLParser(int _showCommentNodes = 0)
+XMLParser::XMLParser(int _showCommentNodes)
 {
     showCommentNodes = _showCommentNodes;
     firstOpenedBaliz = NULL;
@@ -249,7 +249,7 @@
 //
 //(et moi j'arrête avec mes faux haïkus, pasque y'en a marre
 
-int XMLParser::AnalyseNode(string node, int readAsNumber = 0)
+int XMLParser::AnalyseNode(string node, int readAsNumber)
 {
     if (node == "") {
         errorMessage = "erreur du parseur XML";
@@ -328,7 +328,7 @@
 }
 		
 
-int XMLParser::ReadNextNode(int readAsNumber = 0)
+int XMLParser::ReadNextNode(int readAsNumber)
 {
     string nodeRead;
     char stopChar;
@@ -480,8 +480,8 @@
 
 
 int XMLParser::ReadNumericValue(string balizName, Sint32 *numericValue,
-                                Sint32 minValue = 0, Sint32 maxValue = 0,
-                                int testValue = 0)
+                                Sint32 minValue, Sint32 maxValue,
+                                int testValue)
 {
     if (!ReadNextNode(1)) { return 0; }
     if (currentNodeType != XMLParser::NODE_TYPE_TEXT) {
diff -r -u prupraprok/code_source/splash/XMLParser.hpp recher/code_source/splash/XMLParser.hpp
--- prupraprok/code_source/splash/XMLParser.hpp	2005-05-13 01:11:38.000000000 +0200
+++ recher/code_source/splash/XMLParser.hpp	2005-11-05 00:02:13.000000000 +0100
@@ -5,8 +5,9 @@
 #include <string>
 #include <fstream>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <SDL.h>
+using namespace std;
 
 
 class XMLParser
